System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException

The exception is thrown if the application attempts to read or write data to the configuration file but is unsuccessful. Some possible reasons for this can include malformed XML in the configuration file, file permission issues, and configuration properties with values that are not valid.

The object is maintained for backward compatibility. The object replaces it for the configuration system.

The exception that is thrown when a configuration system error has occurred.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This class is obsolete. Use System.Configuration.ConfigurationErrorsException")
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This class is obsolete. Use System.Configuration.ConfigurationErrorsException")
  To be added

  Initializes a new instance of the class.

  A message describing why this exception was thrown.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  The object that holds the information to deserialize.
  Contextual information about the source or destination.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This class is obsolete. Use System.Configuration.ConfigurationErrorsException")
  To be added

  Initializes a new instance of the class.

  A message describing why this exception was thrown.
  The inner exception that caused this to be thrown, if any.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This class is obsolete. Use System.Configuration.ConfigurationErrorsException")
  To be added

  Initializes a new instance of the class.

  A message describing why this exception was thrown.
  The that caused this to be thrown.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This class is obsolete. Use System.Configuration.ConfigurationErrorsException")
  To be added

  Initializes a new instance of the class.

  A message describing why this exception was thrown.
  The inner exception that caused this to be thrown, if any.
  The that caused this to be thrown.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This class is obsolete. Use System.Configuration.ConfigurationErrorsException")
  To be added

  Initializes a new instance of the class.

  A message describing why this exception was thrown.
  The path to the configuration file that caused this to be thrown.
  The line number within the configuration file at which this was thrown.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This class is obsolete. Use System.Configuration.ConfigurationErrorsException")
  To be added

  Initializes a new instance of the class.

  A message describing why this exception was thrown.
  The inner exception that caused this to be thrown, if any.
  The path to the configuration file that caused this to be thrown.
  The line number within the configuration file at which this was thrown.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property does not contain the name of the configuration file, nor the line number at which this exception occurred. If you want a message that contains the name of the configuration file and the line number, along with the message returned by the property, use the property.

  Gets a description of why this configuration exception was thrown.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the path to the configuration file that caused this configuration exception to be thrown.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method sets a object with the file name and line number at which this exception occurred. During deserialization, the exception is reconstituted from the object that is transmitted over the stream.

  Sets the object with the file name and line number at which this configuration exception occurred.

  The object that holds the information to be serialized. The contextual information about the source or destination.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This class is obsolete. Use System.Configuration.ConfigurationErrorsException")
  System.String `` To be added

  Gets the path to the configuration file from which the internal object was loaded when this configuration exception was thrown.

  A string representing the node file name.

  The that caused this exception to be thrown.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This class is obsolete. Use System.Configuration.ConfigurationErrorsException")
  System.Int32 `` To be added

  Gets the line number within the configuration file that the internal object represented when this configuration exception was thrown.

  An int representing the node line number.

  The that caused this exception to be thrown.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the line number within the configuration file at which this configuration exception was thrown.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property contains a concatenation of the , , and properties.

  Gets an extended description of why this configuration exception was thrown.